net.i2p.data

## Class EmptyProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - net.i2p.util.OrderedProperties
        - - net.i2p.data.EmptyProperties

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Object,Object>

      public class EmptyProperties
      extends OrderedProperties

  Immutable OrderedProperties, to reduce object churn in LS2 where it's expected to be empty. Returned from DataHelper.readProperties(in, null). All methods that modify will throw UnsupportedOperationException, except clear() and remove() which do nothing.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EmptyProperties` | `INSTANCE`

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProperty(String key)`
    `void` | `load(InputStream inStream)`
    `void` | `load(Reader reader)`
    `void` | `loadFromXML(InputStream in)`
    `Object` | `put(Object key, Object value)`
    `void` | `putAll(Map<? extends Object,? extends Object> t)`
    `Object` | `setProperty(String key, String value)`

    - ### Methods inherited from class net.i2p.util.OrderedProperties

      `entrySet, keySet`

    - ### Methods inherited from class java.util.Properties

      `getProperty, list, list, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, merge, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final EmptyProperties INSTANCE

  - ### Method Detail

    - #### getProperty

          public String getProperty(String key)

      Overrides:
        `getProperty` in class `Properties`

    - #### load

          public void load(InputStream inStream)

      Overrides:
        `load` in class `Properties`

    - #### load

          public void load(Reader reader)

      Overrides:
        `load` in class `Properties`

    - #### loadFromXML

          public void loadFromXML(InputStream in)

      Overrides:
        `loadFromXML` in class `Properties`

    - #### put

          public Object put(Object key,
                            Object value)

      Specified by:
        `put` in interface `Map<Object,Object>`
      Overrides:
        `put` in class `Hashtable<Object,Object>`

    - #### putAll

          public void putAll(Map<? extends Object,? extends Object> t)

      Specified by:
        `putAll` in interface `Map<Object,Object>`
      Overrides:
        `putAll` in class `Hashtable<Object,Object>`

    - #### setProperty

          public Object setProperty(String key,
                                    String value)

      Overrides:
        `setProperty` in class `Properties`